public class MaFileChainee<E> extends AbstractQueue<E> implements Queue<E> {

    private static class Node<E> {
        E valeur;
        Node<E> suivant;


        Node(E valeur){

        this.valeur=valeur;

        }

private Node<E> tete = null;
private Node<E> queue = null;
private int taille = 0;


  }


@Override
private boolean offer(E e){


Node<E> nouveau= new Node<>(e);


if(queue==null){


    tete=nouveau;
    queue=nouveau;

}

else {

queue=nouveau;
queue.suivant=nouveau;


}


taille++;
return true;
}


@Override
public E poll(){

if(tete==null){

return null;

}





}





    }

  